RAVC2(1)

NAME
ravc2 - Radare2 Version Control Interface

SYNOPSIS
ravc2 [-qvhjH] [action] [args ...]

DESCRIPTION
Provides a simple version control interface for Radare2 projects, functioning as both a Git frontend and a native versioning system for tracking project changes.

OPTIONS

-q  Quiet mode

-v  Show version information

-h  Show usage help message

-H [var]
    Display variable

-j  JSON output

ACTIONS

init [git | rvc]
    Initialize a repository with the given version control system

branch [name]
    If a name is provided, create a branch with that name otherwise list branches

commit [message [files...]]
    Commit the files with the message

checkout [branch]
    Set the current branch to the given branch

status
    Print a status message

reset
    Remove all uncommited changes

log Print all commits

ENVIRONMENT

RAVC2_USER
    Override cfg.user value to author commit

EXAMPLES

Initialize a new repository:

$ ravc2 init

Create a new file and add it:

$ echo "Hello World" > README.md $ ravc2 add README.md

Check repository status:

$ ravc2 status

Create and switch to a new branch:

$ ravc2 branch feature-branch $ ravc2 checkout feature-branch

List all branches:

$ ravc2 branch

Commit changes:

$ ravc2 commit "Add README file" README.md

View commit history:

$ ravc2 log

SEE ALSO

radare2(1)

AUTHORS

pancake <pancake@nopcode.org>